using Sevomin.Models.Helpers;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;

namespace Sevomin.Models
{
    public class SignupViewModel
    {
        [Required(ErrorMessage = "برای آشنایی بیشتر ما با شما لطفا نام خود را وارد کنید.")]
        public string DisplayName { get; set; }

        [Required(ErrorMessage = "ورود {0} الزامی است.")]
        [DisplayName("ایمیل")]
        [EmailValidation(ErrorMessage = "لطفا ایمیل معتبر وارد نمایید.")]
        [RegularExpression(@"^([\w\!\#$\%\&\'\*\+\-\/\=\?\^\`{\|\}\~]+\.)*[\w\!\#$\%\&\'\*\+\-\/\=\?\^\`{\|\}\~]+@((((([a-zA-Z0-9]{1}[a-zA-Z0-9\-]{0,62}[a-zA-Z0-9]{1})|[a-zA-Z])\.)+[a-zA-Z]{2,6})|(\d{1,3}\.){3}\d{1,3}(\:\d{1,5})?)$", ErrorMessage = "لطفا ایمیل معتبر وارد کنید.")]
        [Remote("CheckUsername", "Account")]
        public string Email { get; set; }

        [Required(ErrorMessage="ورود {0} الزامی است.")]
        [DisplayName("کلمه عبور")]
        public string Password { get; set; }
        
        public bool IsAvalin { get; set; }
    }
}
